## clean-repo.ps1 - Cleans a Git repository from untracked files (including submodules)

This script cleans a Git repository from untracked files (including submodules).

## Parameters
```powershell
/home/markus/Repos/PowerShell/Scripts/clean-repo.ps1 [[-RepoDir] <String>] [<CommonParameters>]

-RepoDir <String>
    Specifies the path to the Git repository
    
    Required?                    false
    Position?                    1
    Default value                "$PWD"
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./clean-repo C:\MyRepo
🧹 Cleaning from untracked files...
✔️ cleaned Git repository 📂C:\MyRepo in 0 sec

```

## Notes
Author: Markus Fleschutz · License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

*Generated by convert-ps2md.ps1 using the comment-based help of clean-repo.ps1*
